<template>
  <v-container>
    <v-row>
      <v-col cols="12">
        <v-btn color="primary" @click="createNewProject">
          New Project
        </v-btn>
      </v-col>
    </v-row>
    <v-row>
      <v-col cols="12">
        <v-data-table
          :headers="headers"
          :items="projects"
          :search="search"
          class="elevation-1"
          >
          <template v-slot:top>
            <v-text-field
              v-model="search"
              label="Search"
              class="mx-4"
            ></v-text-field>
          </template>
          <template v-slot:item.action="{ item }">
            <v-icon small @click="editProject(item.id)">
              mdi-pencil
            </v-icon>
            <v-icon small @click="deleteProject(item.id)">
              mdi-delete
            </v-icon>
          </template>
        </v-data-table>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  data() {
    return {
      search: '',
      headers: [
        { text: 'Project Name', value: 'name' },
        { text: 'Status', value: 'status' },
        { text: 'Created At', value: 'createdAt' },
        { text: 'Actions', value: 'action', sortable: false },
      ],
      projects: [
        // Example projects data
        { id: 1, name: 'Project 1', status: 'Active', createdAt: '2021-01-01' },
        { id: 2, name: 'Project 2', status: 'Inactive', createdAt: '2021-02-01' },
        // Fetch real project data from your API
      ],
    };
  },
  methods: {
    createNewProject() {
      // Logic to create a new project
    },
    editProject(id) {
      // Logic to edit a project
    },
    deleteProject(id) {
      // Logic to delete a project
    },
  },
};
</script>

<style scoped>
/* Add custom styles here */
</style>
